# SwiftPackageManagerExportPlugin

abstract class SwiftPackageManagerExportPlugin : Plugin<T>

A plugin that produces a Swift Package Manager manifests from the Gradle model.

This plugin should only be applied to the root project of a build.

#### Since

4.6

## Constructors

SwiftPackageManagerExportPlugin
Link copied to clipboard
@Inject
constructor(vcsResolver: VcsResolver, versionSelectorScheme: VersionSelectorScheme, publicationResolver: ProjectDependencyPublicationResolver, versionParser: VersionParser)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)